You're reading version 2025-01-01, which is not the latest. The latest is 2026-04-01: open the 2026-04-01 introduction.
Get collection data
Request
Path Parameters
Header Parameters
sv, en, no, da, et, fr, de, it, lv, lt or ru.The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
2025-01-01.Responses
Insurance data successfully fetched.
Body
A list of addons that this insurance has
The coverage details of the insurance, including parameters
A list of deductibles associated with the insurance
A list of documents associated with the insurance
Unique identifier for the insurance.
The basic insurance data collected from the insurance company
A map of personal information for the person who collected data. E.g. personal number.
URL to the current insurance terms as a PDF, will be missing if there is no link.
curl https://api.insurely.com/insurance/collection/{collectionId}/data \
-H "client-id: <client-id>" \
-H "Insurely-Version: 2025-01-01"[
{
"addons": [],
"coverage": {
"documents": [
{
"documentType": "TERMS_AND_CONDITIONS",
"documentUrl": "se/dogInsurance/se-if/term_stor hundförsäkring_2025-04-01.pdf"
}
],
"isVersionRequested": false,
"parameters": [
{
"isAddonPurchased": false,
"parameterDeductible": {
"deductibleType": "complex",
"description": "Du kan också välja på följande självrisker: \nFast: 1500 Rörlig: 15%\nFast: 1500 Rörlig: 25%\nFast: 1900 Rörlig: 25%",
"displayValue": "Fast: 1900 Rörlig: 15%",
"originalDisplayValue": "Fast: 1900 Rörlig: 15%",
"personalised": false
},
"parameterDescription": "Ersätter kostnader för undersökning och behandling om din hund drabbas av sjukdom eller olycksfall upp till ett specificerat belopp.",
"parameterDisplayName": "Veterinärvård",
"parameterGroup": "Grundskydd",
"parameterGroupOrder": 1,
"parameterLimit": {
"description": "",
"displayValue": "60000",
"limitType": "amount"
},
"parameterName": "veterinaryCare",
"parameterOrder": 0,
"value": "true"
},
{
"isAddonPurchased": false,
"parameterDeductible": {
"deductibleType": "complex",
"description": "Du kan också välja på följande självrisker: \nFast: 1500 Rörlig: 15%\nFast: 1500 Rörlig: 25%\nFast: 1900 Rörlig: 25%",
"displayValue": "Fast: 1900 Rörlig: 15%",
"originalDisplayValue": "Fast: 1900 Rörlig: 15%",
"personalised": false
},
"parameterDescription": "Ersätter upp till hundens marknadsvärde om hunden skulle avlida före en viss ålder.",
"parameterDisplayName": "Livförsäkring",
"parameterGroup": "Tillägg",
"parameterGroupOrder": 2,
"parameterLimit": {
"description": "",
"displayValue": "60000",
"limitType": "amount"
},
"parameterName": "lifeInsurance",
"parameterOrder": 0,
"value": "true"
}
],
"returnedVersionId": "2025-04-01"
},
"deductibles": [],
"id": "9f9f6d5a-20ad-44e1-b08b-0b464ee5de78",
"insurance": {
"@market": "core",
"animalBreed": "Svensk lapphund",
"animalGender": "FEMALE",
"animalName": "Siri",
"coming": false,
"dateOfBirth": "2017-05-23",
"endDate": "2026-07-19",
"holder": {
"@market": "se",
"city": "Umeå",
"email": "emma.backstrom@example.se",
"name": "Emma Bäckström",
"phoneNumber": "0046704127788",
"postalCode": "90332",
"streetAddress": "Björnvägen 14"
},
"insuranceCompany": "se-if",
"insuranceName": "Stor Hundförsäkring",
"insuranceNumber": "KD728451-8821-54",
"insuranceSubType": "dogInsurance",
"insuranceType": "animalInsurance",
"premium": {
"@market": "se",
"amount": {
"amount": 7680,
"currency": "SEK"
},
"paymentFrequency": 12,
"paymentMethod": "AUTOGIRO",
"period": "YEARLY_PREMIUM_PERIOD"
},
"renewalDate": "2026-07-20",
"startDate": "2025-07-20",
"veterinaryCareAmount": {
"amount": 60000,
"currency": "SEK"
}
},
"personalInformation": {
"PERSONAL_NUMBER": "19910317****"
},
"termsUrl": "/coverage/terms?filePath=se/dogInsurance/se-if/term_stor hundförsäkring_2025-04-01.pdf"
}
]